-- written by DaddelZeit
-- DO NOT USE WITHOUT PERMISSION

local M = {}

local lastlowhighbeam = 0
local node = nil

local function updateGFX()
    if lastlowhighbeam ~= electrics.values.lowhighbeam then
        obj:playSFXOnce("unicycle_flashlight_click", node, 1, 1)
    end

    lastlowhighbeam = electrics.values.lowhighbeam

    obj:queueGameEngineLua([[ gameplay_walk.getPlayerUnicycle():setMeshAlpha(1, "", false) ]])
end

local function initSounds()
    for _,v in pairs(v.data.nodes) do
        if v.name == "r2" then
            node = v.cid
        end
    end

    if node then
        obj:createSFXSource("vehicles/unicycle/flashlight_art/flashlight_click_sound.mp3", "AudioClosest3D", "unicycle_flashlight_click", node)
    end
end

local function resetInit()
    lastlowhighbeam = electrics.values.lowhighbeam or 0
end

M.initSounds = initSounds
M.updateGFXSecondStep = updateGFXSecondStep
M.updateGFX = updateGFX
M.init = resetInit
M.reset = resetInit

return M